import type { CourseType, ChapterType, ResourceType } from '@/types'

export interface CourseListParamsTypes {
  [key: string]: any
  elective_types: string[]
  id: string
  semester_ids: string[]
}
export interface CourseListItemTypes extends CourseType {
  schedule: string
  section?: ChapterType
  semester_id: string
  watch_video_length: number
}

// 课程章类型
export interface CourseChapterTypes {
  id: string
  name: string
  resource_id: string
  resource_type: number
  sections: CourseSectionTypes[]
}

// 课程节类型
export interface CourseSectionTypes {
  id: string
  name: string
  resource_id: string
  resource_type: number
  resources: CourseResourceTypes[]
}

// 课程资源类型
export interface CourseResourceTypes {
  id: string
  name: string
  resource_id: string
  resource_type: number
  collection_count: number
  info: ResourceType
}

export interface PlayItemTypes {
  BitDepth: number
  Bitrate: string
  CreationTime: string
  Definition: string
  Duration: string
  Encrypt: 0
  Format: string
  Fps: string
  HDRType: string
  Height: number
  JobId: string
  ModificationTime: string
  NarrowBandType: string
  PlayURL: string
  PreprocessStatus: string
  Size: number
  Specification: string
  Status: string
  StreamType: string
  Width: number
}
